// GMenu.h: interface for the GMenu class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GMENU_H__67921400_3F05_11D4_8F75_C0DCED0EBB18__INCLUDED_)
#define AFX_GMENU_H__67921400_3F05_11D4_8F75_C0DCED0EBB18__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "GRun.h"

extern BITMAP *b_menu;

class GMenu  
{
public:
	void Destroy();
	void LoadGFX();
	int Col(int index);
	bool Run(GRun *run);
	GMenu();
	virtual ~GMenu();

private:
	bool ProccesKeys(GRun *run);
	bool Connect();
	void Draw(char *name);
	int  m_item;

	DWORD  m_comID;
	int   m_comSpeed;

	int  m_maxplay;
	bool m_konec;

	char m_buf[50];

	enum {
		it_com = 0,
		it_comspeed,
		it_ipx, 
		it_single,
		it_maxplay,
		it_konec
	};
};

#endif // !defined(AFX_GMENU_H__67921400_3F05_11D4_8F75_C0DCED0EBB18__INCLUDED_)
