#ifndef _FYLE_TYPE_INCLUDE_
#define _FYLE_TYPE_INCLUDE_

///////////////////////
// Struktura souboru :
//
// st_GFile_Header
// st_GFile_Header.objects * st_GFile_Object
// EOF
//
///////////////////////
#define FILE_SIGN           3356 // nahodne, avsak nemene cislo
#define MAX_OBJECTS_ON_MAP 10000 // maximapli pocet objektu v mape
#define MAX_STREL_ON_MAP    1000 // maximapli pocet strel na mape

typedef struct{
	long   sign;    // signatura - musi byt == FILE_SIGN
	BYTE   ver;     // urcuje verzi - musi byt == 1
	long   x;       // rozmer trate X (v pixelech)
	long   y;       // rozmer trate Y (v pixelech)
	long   objects; // pocet objektu
	long   obrazek; // obrazek urcujici typ trate
	long   podlozi; // typ podkladu
} st_GFile_Header;


typedef struct{
	long        ID;    // ID objektu v 
	long         x;    // souradnice X (v pixelech)
	long         y;    // souradnice Y (v pixelech)
} st_GFile_Object;


#endif //#ifndef _FYLE_TYPE_INCLUDE_