
#include <time.h> // pro random
#include "stdh.h"

#include "soldiers.h"
#include "objects.h"

// Gincludes
#include "GClasses.h"
#include "GRun.h"
#include "GView.h"
#include "GFile.h"
#include "GObject.h"
#include "GMap.h"

#include "MultiPlay.h"

#include "GMenu.h"

#include "inifile.h"

/*
// globalni unikatni identifikator vytvorny pomoci GuidGen
// {FE9BFFA2-3BDB-11d4-8F75-B86292AF3253}
GUID guid = 
{ 0xfe9bffa2, 0x3bdb, 0x11d4, { 0x8f, 0x75, 0xb8, 0x62, 0x92, 0xaf, 0x32, 0x53 } };
*/
// {6B3F19A0-417A-11d4-8F75-BB50F7F77D1D}
GUID guid = 
{ 0x6b3f19a0, 0x417a, 0x11d4, { 0x8f, 0x75, 0xbb, 0x50, 0xf7, 0xf7, 0x7d, 0x1d } };


const int GFX_BPP[] = {
	15, 16, 24, 32
};

void timer_procedure()
{
	if (tmr > 0) tmr--;
}

END_OF_FUNCTION(timer_procedure);



int main(int argc, char *argv[])
{
	int  i;
	char c[50];

   allegro_init();
   install_keyboard();
	install_timer();


	int infile;

	if ((infile = _open( INIFILE, _O_BINARY | _O_RDONLY )) == -1 ) {
		allegro_message("Chyby inisoubor %s",INIFILE);
		return false;    // nepodarilo se otevrit soubor
	}
	st_inifile ini;
	_read(infile, &ini, sizeof(ini)); // nacteni hlavicky

	ini.bpp = GFX_BPP[ini.bpp]; // prevedeni parametru


	// pripraveni timeru
	LOCK_VARIABLE(tmr);
	LOCK_FUNCTION(timer_procedure);
	install_int(timer_procedure, 10);
 
	net = new NDX_Connect;
	if (net == NULL) {
		allegro_message("new NDX_Connect"); // SMULA !!!!
		return 2;
	}

	if (!net->Create(&guid)) {
		allegro_message("Chyba GUID\nMozna nebude fungovat multiplayer"); // SMULA !!!!
//		return 2;
	}

	srand(time(NULL));
	DF_X = 640;
	DF_Y = 480;

	
	if (!hscreen.Init(640, 480,ini.bpp)) { // zkusime 16BPP
			allegro_message("Nepodarilo se nastavit rozliseni %d*%d*%d !!!\n Spustte setup.exe a vyberte jinou barevnou hloubku", DF_X, DF_Y, ini.bpp); // SMULA !!!!

			return 1;
		}

	PALETTE pal;



	hscreen.m_mouse = false;

	hscreen.Flip();

	GRun run; // promena typu GRun musi byt jen jedna !!!!!!

	text_mode(-1);
// HLAVNI HERNI SMYCKA
	if(!run.LoadGFX()) {
		allegro_message("Failed in loading GFX !\n  File %s is missing", errch); // SMULA !!!!
		return false;
	}
	GMenu menu;
	menu.LoadGFX();
	while (menu.Run(&run)) {
		if (run.Init()) {
			run.Run();
			run.m_net.ShutDown();
		}
	}
	menu.Destroy();
	run.Destroy();
// KONEC HLAVNI SMYCKY 

	run.Destroy();

	hscreen.Destroy();


	delete net;
	net = NULL;

	allegro_exit();

   return 0;
}

END_OF_MAIN();
