// GAI.cpp: implementation of the GAI class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "GAI.h"
#include "GRun.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

GAI::GAI()
{

}

GAI::~GAI()
{

}

void GAI::Move(GRun *run, int ID)
{
	m_run = run;
	m_ID  = ID;
	m_s   = &(run->m_sold[ID]);
	CompLev1();
}

void GAI::CompLev1()
{
	int enem = GetNearestEnemy();

	GotoXY(m_run->m_sold[enem].m_x, m_run->m_sold[enem].m_y, 30);

	if (m_s->m_naboje[Zparams[m_s->m_zbran].strelaID] < 5) m_s->m_chzbran = true;
	else m_s->m_chzbran = false;

	TestAllShooting();

	m_s->m_liveup = true; // poctac se chce hned ozivit
}

void GAI::CompLev2()
{

}

void GAI::GotoXY(int x, int y, int dist)
{
//	if (Dts(x,y,m_s->m_x, m_s->m_y) > dist)  {
		m_s->m_fwd = true;    // jizda vpred
		m_s->m_back = false;
/*	}
	else {
		m_s->m_fwd = false;
		m_s->m_back = true;
	}
*/
	
	int  TSTangle = atan2(m_s->m_y - y, x - m_s->m_x)*256/DPI; // uhel, pod kterym chceme jet
	if (TSTangle < 0) TSTangle += 256;

	int angle = (int)(m_s->m_angle);
	angle %= 256;

	if (abs(TSTangle - angle) > Sparams[m_s->m_ID].turning) {

		int dl;
		int dr;
		if (TSTangle > angle) {
			dl = TSTangle - angle;
			dr = 256 - dl;
		}
		else {
			dr = angle - TSTangle;
			dl = 256 - dr;
		}

		if (dl < dr) m_s->m_left  = true;   // zataceni vlevo
		else m_s->m_left = false;

		if (dr < dl) m_s->m_right = true;
		else m_s->m_right = false;
	}
	else {
		m_s->m_left = false;
		m_s->m_right = false;
	}
}

int GAI::GetNearesHeal()
{
	return -1;
}

int GAI::GetNearestEnemy()
{
	int max = 0, k = 4000,  j;
	for (int i = 0; i < m_run->m_soldiers; i++)
		if (i != m_ID && m_run->m_sold[i].m_health > 0) {
			j = Dts(m_run->m_sold[i].m_x, m_run->m_sold[i].m_y, m_s->m_x, m_s->m_y);
			if (j < k) {
				k  = j;
				max = i;

			}
		}
	return max;
}

int GAI::GetNearestPup()
{
	return -1;
}

int GAI::Dts(int x, int y, int x2, int y2)
{
	return pow(pow(x-x2,2)+pow(y-y2,2),0.5);
}

void GAI::TestAllShooting()
{
	RECT rect;
/*	rect.left = m_s->m_x;
	rect.left = m_s->m_x;
	rect.left = m_s->m_x;
	rect.left = m_s->m_x;*/
//	m_s->m_shoot = true;
	if (rand()%10 > 6) m_s->m_shoot = true;
	else m_s->m_shoot = false;

}

void GAI::Init()
{
	// zatim takhle ;)
	m_ID = -1;
	m_run = NULL;
	m_s = NULL;
}
