
#include <time.h> // pro random
#include "stdh.h"

#include "soldiers.h"

// Gincludes
#include "GClasses.h"
#include "GRun.h"
#include "GView.h"
#include "GMap.h"

#include "MultiPlay.h"

#include "GMenu.h"

#include "inifile.h"

// globalni unikatni identifikator vytvorny pomoci GuidGen
// {6B3F19A0-417A-11d4-8F75-BB50F7F77D1D}
GUID guid = 
{ 0x6b3f19a0, 0x417a, 0x11d4, { 0x8f, 0x75, 0xbb, 0x50, 0xf7, 0xf7, 0x7d, 0x1d } };

st_inifile ini;


const int GFX_BPP[] = {
	8, 15, 16, 24, 32
};

void timer_procedure()
{
	if (tmr > 0) tmr--;
	if (tmr2 > 0) tmr2--;
	if (tmr3 > 0) tmr3--;
}

END_OF_FUNCTION(timer_procedure);



int main(int argc, char *argv[])
{
   allegro_init();
   install_keyboard();
	install_timer();
	install_mouse();

	GMenu menu;
	if(!menu.SearchForMaps()) {
		allegro_message("Nenalezeny zadne mapy !");
		return 0;
	}	


#ifdef _DEBUG
	set_window_title("Kulic - 0.06 - DEBUG");
#else 
	set_window_title("Kulic - 0.06 - RELEASE");
#endif

	int infile;

	if ((infile = _open( INIFILE, _O_BINARY | _O_RDONLY )) == -1 ) {
		allegro_message("Chyby inisoubor %s",INIFILE);
		return 1;    // nepodarilo se otevrit soubor
	}

	_read(infile, &ini, sizeof(ini)); // nacteni hlavicky

	_close(infile);

	// pripraveni timeru
	LOCK_VARIABLE(tmr);
	LOCK_FUNCTION(timer_procedure);
	install_int(timer_procedure, 10);

 
	net = new NDX_Connect;
	if (net == NULL) {
		allegro_message("new NDX_Connect"); // SMULA !!!!
		return 2;
	}

	if (!net->Create(&guid)) {
		return 2;
	}

	srand(time(NULL));
	DF_X = 640;
	DF_Y = 480;

	if (!hscreen.Init(640, 480, GFX_BPP[ini.bpp])) { // DLE INI SOUBORU 
//	if (!hscreen.Init(640, 480, 8)) { // DLE INI SOUBORU 
			allegro_message("Nepodarilo se nastavit rozliseni %d*%d*%d !!!\n Spustte setup.exe a vyberte jinou barevnou hloubku", DF_X, DF_Y, GFX_BPP[ini.bpp]); // SMULA !!!!
			return 1;
		}

//	hprepare_pal();

	hscreen.Install();

	hscreen.m_mouse = NULL;

	hscreen.Flip();

	GRun run; // promena typu GRun musi byt jen jedna !!!!!!

	text_mode(-1);

	// grafika - nacteni
	if(!run.LoadGFX()) {
		allegro_message("Failed in loading GFX !\n  File %s is missing", errch); // SMULA !!!!
		return false;
	}
	menu.LoadGFX(&run);

	// zpracovani ini souboru
	// zda budeme pouzivat CD
	if (!ini.cd) cdplay.m_use = false; 
	// zamerovac, autorun
	if (ini.zamerovac) run.m_view.m_zamerovac = true;
	if (ini.autorun)   run.m_autorun = true;


// HLAVNI HERNI SMYCKA
	while (menu.Run(&run)) {
		if (run.Init(menu.m_postava, menu.m_mapa)) {
			run.Run();
			run.m_net.ShutDown();
		}
	}
// KONEC HLAVNI SMYCKY 

	menu.Destroy(&run);
	run.Destroy();


	hscreen.Destroy();


	delete net;
	net = NULL;

	allegro_exit();

   return 0;
}

END_OF_MAIN();
